# $Revision: 1.43 $, $Date: 2012/04/03 18:00:45 $
Summary:	A Telepathy connection manager for Jabber/XMPP
Summary(pl.UTF-8):	Zarządca połączeń Telepathy dla Jabbera/XMPP
Name:		telepathy-gabble
# NOTE: 0.17.x is development branch
Version:	0.16.0
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-gabble/%{name}-%{version}.tar.gz
# Source0-md5:	15b15fb58a3c54102c3e3489b4bd5ee0
URL:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	cyrus-sasl-devel
BuildRequires:	dbus-devel >= 1.1.0
BuildRequires:	dbus-glib-devel >= 0.82
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	libnice-devel >= 0.0.11
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-progs
BuildRequires:	openssl-devel >= 0.9.8g
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	sqlite3-devel
BuildRequires:	telepathy-glib-devel >= 0.18.0
BuildRequires:	which
Requires:	ca-certificates
Requires:	dbus >= 1.1.0
Requires:	dbus-glib >= 0.82
Requires:	telepathy-glib >= 0.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A connection manager to connect Telepathy to Jabber/XMPP.

%description -l pl.UTF-8
Zarządca połączeń pozwalający połączyć się Telepathy z Jabberem/XMPP.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--with-ca-certificates=%{_sysconfdir}/certs/ca-certificates.crt \
	--with-tls=openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/telepathy/gabble-0/{lib,plugins}/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc/telepathy-gabble

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/telepathy-gabble-xmpp-console
%attr(755,root,root) %{_libdir}/telepathy-gabble
%dir %{_libdir}/telepathy
%dir %{_libdir}/telepathy/gabble-0
%dir %{_libdir}/telepathy/gabble-0/lib
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/lib/libgabble-plugins-0.16.0.so
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/lib/libgabble-plugins.so
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/lib/libwocky-telepathy-gabble-0.16.0.so
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/lib/libwocky.so
%dir %{_libdir}/telepathy/gabble-0/plugins
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/plugins/libconsole.so
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/plugins/libgateways.so
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.gabble.service
%{_datadir}/telepathy/managers/gabble.manager
%{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telepathy-gabble.spec,v $
Revision 1.43  2012/04/03 18:00:45  megabajt
- updated to 0.16.0

Revision 1.42  2012/04/01 15:33:12  megabajt
- updated to 0.14.1

Revision 1.41  2011/11/18 22:09:05  kiesiu
- updated to 0.14.0
- updated BRs

Revision 1.40  2011/09/09 19:11:02  arekm
- release 3

Revision 1.39  2011/08/31 07:00:49  arekm
- release 2

Revision 1.38  2011/02/23 21:26:41  megabajt
- back to stable version on HEAD (0.11.x moved to DEVEL)

Revision 1.37  2011/02/20 07:19:01  arekm
- release 2

Revision 1.36  2011/01/19 15:10:54  caleb
- Up to 0.11.5

Revision 1.35  2010/12/17 10:09:45  caleb
- Up to 0.11.4
- Requires telepathy-glib => 0.13.9

Revision 1.34  2010/11/23 15:52:04  caleb
- Up to 0.11.2

Revision 1.33  2010/11/18 10:55:45  caleb
- Up to 0.11.1
- Requires %{_libdir}/telepathy provided by libtelepathy
- Requires ca-certificates

Revision 1.32  2010/10/13 14:51:10  patrys
- 0.10.3

Revision 1.31  2010/09/29 17:01:31  patrys
- 0.10.1

Revision 1.30  2010/08/27 08:15:52  patrys
- 0.9.17
- still does not work with gnutls 2.10.x

Revision 1.29  2010/07/22 17:05:40  patrys
- 0.9.15

Revision 1.28  2010/06/18 13:50:01  patrys
- jabber at pld-linux.org is broken, patching for that
- rel 2

Revision 1.27  2010/06/16 15:40:11  patrys
- 0.9.13

Revision 1.26  2010/05/22 09:10:48  patrys
- 0.9.11

Revision 1.25  2010/05/12 19:28:29  sparky
- BR: which

Revision 1.24  2010/04/25 15:22:37  patrys
- 0.9.10

Revision 1.23  2010/03/29 17:16:55  patrys
- 0.9.9

Revision 1.22  2010/03/19 13:47:17  patrys
- 0.9.8
- TODO remains valid: handle plugins

Revision 1.21  2010/03/09 12:35:48  patrys
- 0.9.6
- TODO: handle plugins (including ownership of %{_libdir}/telepathy)

Revision 1.20  2010/01/04 11:25:33  patrys
- 0.9.3

Revision 1.19  2009/11/02 15:46:39  patrys
- add wocky patch to fix SASL auth on jabberd2

Revision 1.18  2009/11/02 13:56:50  patrys
- more BR:
- force gnutls

Revision 1.17  2009/11/02 13:46:25  patrys
- 0.9.2

Revision 1.16  2009/09/08 21:32:41  patrys
- 0.8.2

Revision 1.15  2009/08/18 08:13:28  patrys
- 0.7.32

Revision 1.14  2009/08/08 17:01:44  patrys
- 0.7.31

Revision 1.13  2009/07/11 20:09:26  patrys
- 0.7.30

Revision 1.12  2009/05/28 10:26:23  patrys
- 0.7.27

Revision 1.11  2009/04/03 21:02:45  patrys
- 0.7.25

Revision 1.10  2009/03/23 19:45:26  megabajt
- updated to 0.7.24

Revision 1.9  2009/03/21 12:44:57  megabajt
- updated to 0.7.23

Revision 1.8  2008/07/31 15:31:14  patrys
- 0.7.7

Revision 1.7  2008-01-21 00:49:32  aredridel
- 0.7.2

Revision 1.6  2007-12-18 04:36:50  aredridel
- 0.7.1

Revision 1.5  2007-10-27 19:21:59  megabajt
- updated to 0.6.0

Revision 1.4  2007/06/17 20:54:20  megabajt
- updated to 0.5.12

Revision 1.3  2007/06/12 17:51:12  megabajt
- revised deps

Revision 1.2  2007/05/25 17:12:24  qboosh
- pl

Revision 1.1  2007/05/14 21:46:49  aredridel
- added
